<div class="row justify-content-center mt-4">

  <div class="col-lg-8">

    <form *ngIf="obj" #objForm=ngForm (ngSubmit)="save()" class="mb-0">

      <div class="form-row justify-content-center">
        <div class="form-group col-md-12">
          <label for="question" class="control-label">Question</label>
          <textarea [(ngModel)]="obj.question" name="question" class="form-control form-control-sm" rows="8"></textarea>
          <span class="text-danger" [hidden]="!error.question">{{ error.question }}</span>
        </div>
        <div class="form-group col-md-6">
          <label for="a" class="control-label mb-1">Choice A</label>
          <textarea [(ngModel)]="obj.a" name="a" class="form-control form-control-sm" rows="3"></textarea>
          <span class="text-danger" [hidden]="!error.a">{{ error.a }}</span>
        </div>
        <div class="form-group col-md-6">
          <label for="b" class="control-label mb-1">Choice B</label>
          <textarea [(ngModel)]="obj.b" name="b" class="form-control form-control-sm" rows="3"></textarea>
          <span class="text-danger" [hidden]="!error.b">{{ error.b }}</span>
        </div>
        <div class="form-group col-md-6">
          <label for="c" class="control-label mb-1">Choice C</label>
          <textarea [(ngModel)]="obj.c" name="c" class="form-control form-control-sm" rows="3"></textarea>
          <span class="text-danger" [hidden]="!error.c">{{ error.c }}</span>
        </div>
        <div class="form-group col-md-6">
          <label for="d" class="control-label mb-1">Choice D</label>
          <textarea [(ngModel)]="obj.d" name="d" class="form-control form-control-sm" rows="3"></textarea>
          <span class="text-danger" [hidden]="!error.d">{{ error.d }}</span>
        </div>
        <div class="form-group col-md-6">
          <label for="e" class="control-label mb-1">Choice E</label>
          <textarea [(ngModel)]="obj.e" name="e" class="form-control form-control-sm" rows="3"></textarea>
          <span class="text-danger" [hidden]="!error.e">{{ error.e }}</span>
        </div>
      </div>
      <div class="form-row ">
        <div class="col-md-3 pl-0">

          <label for="answer" class="control-label mb-1">Answer</label>
          <select name="answer" [(ngModel)]="obj.answer" class="form-control form-control-sm">
            <option [ngValue]="null">Select answer</option>
            <option [ngValue]="'a'">A</option>
            <option [ngValue]="'b'">B</option>
            <option [ngValue]="'c'">C</option>
            <option [ngValue]="'d'">D</option>
            <option [ngValue]="'e'">E</option>
          </select>
          <span class="text-danger" [hidden]="!error.answer">{{ error.answer }}</span>
        </div>
        <div class="col-md-3">
          <label for="points" class="control-label mb-1">Points</label>
          <input [(ngModel)]="obj.points" name="points" type="text" class="form-control form-control-sm">
          <span class="text-danger" [hidden]="!error.points">{{ error.points }}</span>

        </div>

      </div>
      <div class="form-row justify-content-center my-4">
        <button type="submit" [disabled]="!objForm.valid" class="btn btn-primary btn-flat btn-sm py-1 small">
          <span class="fa fa-save"></span>
          Save
        </button>
        <button [routerLink]="[(obj.id) ? '../../' :'../']" type="button" class="btn btn-danger btn-flat btn-sm py-1 small">
          <span class="fa fa-times"></span>
          Cancel
        </button>
      </div>

    </form>
  </div>
</div>
